package org.freehep.jas.services;

import java.awt.Component;
import java.util.List;

/**
 * An interface implemented by all Plotters
 */
public interface Plotter
{
   public final int NORMAL = 0;
   public final int OVERLAY = 1;
   public final int ADD = 2;
   public final int STACK = 3;
   /**
    * Plot a given data set.
    * @param data The data to be plotted. Must be of the class specified when
    * the plotter was created.
    * @param options One of (NORMAL, OVERLAY, ADD, STACK)
    */
   void plot(Object data, int mode);
   void plot(Object data, int mode, Object style,String options);

   /**
    * Remove a data item from a plot
    */
   void remove(Object data);
   /**
    * Clear all the data in the plot
    */
   void clear();
   /**
    * Tests if the plotter can plot the given datatype
    */
   //boolean canPlot(Object data, int options);
   
   /**
    * Returns a Component that can be used to display a Plotter in some other swing
    * component.
    */
   Component viewable();  
   /**
    * Returns the list of data objects added to this plotter
    */
   List getData();
}
